/**
 * Custom Widget basado en ScrollableView 
 */

define("handsoft/Scrolleable", [
    "dojo/_base/declare",
	"dojox/mobile/ScrollableView"
], function(declare, ScrollableView){
	return declare("handsoft.Scrolleable", [ScrollableView], {
		hideScrollBar: function(){
			/*
			 * Sobreescribo esta funcion para hacer que no se oculte la barra de scroll
			 */
		},
		mostarScroll: function(){
			var _this = this;
			setTimeout(function(){
				_this._dim = _this.getDim();
				_this.showScrollBar();
			}, 600);
			/* 600 porque la animacion de acc demora 350 */
		}
	});
});
